Photoaccueil:
  actAs:
    Sortable:         ~
    I18n:
      fields:         [ description ]
  columns:
    description:      { type: clob, extra: markdown }
    image_id:         { type: integer }
  relations:
    Image:  
      class:          DmMedia
      local:          image_id
      onDelete:       SET NULL

Evenement:
  actAs:
    Timestampable:    ~
    DmGallery:        ~
    I18n:
      fields:         [ titre, description ]
  columns:
    titre:            { type: string(255), notnull: true }
    date:             { type: date }
    description:      { type: clob, extra: ckeditor }
    file_id:          { type: integer }
    is_active:        { type: boolean, notnull: true, default: true }
    is_homepage:      { type: boolean, notnull: true, default: false }
  relations:
    File:  
      class:          DmMedia  
      local:          file_id  
      onDelete:       SET NULL

DmContact:  
  actAs:              [ Timestampable ]  
  columns:  
    prenom:           { type: string(255) }
    phone:            { type: string(20) }
    zipcode:          { type: string(20) }
    subject:		  		{ type: string(255) }

FuturMembre:
  actAs:              [ Timestampable ]
  columns:  
    nom:             	{ type: string(255), notnull: true }
    prenom:           { type: string(255) }
    email:          	{ type: string(255), notnull: true }
    phone:            { type: string(20) }
    zipcode:          { type: string(20) }
    body:             { type: clob, notnull: true }